Subject: bug#30325: 25.3; Emacs hang attempting erc-tls reconnect

From: Neil Okamoto <[email-masked]>
Date: Sat, 14 Apr 2018 13:33:33 -0700

> On Apr 14, 2018, at 11:26 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Neil Okamoto <[email-masked]> writes:
> 
>> When done, I left the erc connection open and closed the laptop lid.
> 
> Does closing the laptop lid do anything?

Ordinarily closing the lid causes the mac to “sleep”.

> 
>> In the morning I opened the laptop lid and found Emacs hanging with
>> the dreaded beachball mouse pointer, and a message in the minibuffer
>> stating something like "reconnecting to irc.gitter.im:6697”, I don’t
>> recall the exact wording of the message.
>> 
>> I attached lldb and got a backtrace, see below.
>> 
>> (lldb) bt
>> * thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
>>  * frame #0: 0x00000001008f7a2b libgnutls.30.dylib`_gnutls_handshake_io_recv_int + 250
>>    frame #1: 0x00000001008f8feb libgnutls.30.dylib`_gnutls_recv_handshake + 56
>>    frame #2: 0x00000001008fb2ce libgnutls.30.dylib`gnutls_handshake + 333
>>    frame #3: 0x000000010013fbff Emacs`emacs_gnutls_handshake + 100
>>    frame #4: 0x0000000100141414 Emacs`Fgnutls_boot + 1993
> 
> Did it hang there or was it looping and calling this
> function repeatedly?

I’m sorry, I didn’t notice.

> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no